com.google.appengine.api.search

## Class FacetOptions

- java.lang.Object
- - com.google.appengine.api.search.FacetOptions

-     public final class FacetOptions
      extends java.lang.Object

  A `FacetOptions` represents facet options such as the number of facets to discover (`discoveryLimit`), the number of values to be included in each discovered facet (`discoveryValueLimit`), and the depth of the results to check (`depth`). Note that discovery is disabled when `discoveryLimit` is zero.

  For example, to discover 10 facets with 5 values each over 1000 extended results:

         FacetOptions facetOption = FacetOptions.newBuilder()
             .setDiscoverLimit(10)
             .setDiscoverValueLimit(5)
             .setDepth(1000)
             .build();

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FacetOptions.Builder` Builder for `FacetOptions`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDepth()` Returns the number of documents from the search result to be analyzed for facet discovery or null if unset.
    `java.lang.Integer` | `getDiscoveryLimit()` Returns the number of facets to be discovered or null if unset.
    `java.lang.Integer` | `getDiscoveryValueLimit()` Returns the maximum number of values for each discovered facet or null if unset.
    `static FacetOptions.Builder` | `newBuilder()` Creates and returns an empty `FacetOptions.Builder`.
    `static FacetOptions.Builder` | `newBuilder(FacetOptions options)` Creates and returns a `FacetOptions.Builder` that reflects the given options.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDiscoveryLimit

          public java.lang.Integer getDiscoveryLimit()

      Returns the number of facets to be discovered or null if unset.

    - #### getDiscoveryValueLimit

          public java.lang.Integer getDiscoveryValueLimit()

      Returns the maximum number of values for each discovered facet or null if unset.

    - #### getDepth

          public java.lang.Integer getDepth()

      Returns the number of documents from the search result to be analyzed for facet discovery or null if unset.

    - #### newBuilder

          public static FacetOptions.Builder newBuilder()

      Creates and returns an empty `FacetOptions.Builder`.
      Returns:
        a `FacetOptions.Builder` which can construct a facet options.

    - #### newBuilder

          public static FacetOptions.Builder newBuilder(FacetOptions options)

      Creates and returns a `FacetOptions.Builder` that reflects the given options.
      Parameters:
        `options` - the options that the returned builder will reflect.
      Returns:
        a new builder with values set from the given options.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`